
From: Andrew Morton <akpm@osdl.org>

Cc: Marko Kohtala <marko.kohtala@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/parport/parport_pc.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/parport/parport_pc.c~parport-constification-fix drivers/parport/parport_pc.c
--- devel/drivers/parport/parport_pc.c~parport-constification-fix	2005-09-12 03:34:35.000000000 -0700
+++ devel-akpm/drivers/parport/parport_pc.c	2005-09-12 03:34:35.000000000 -0700
@@ -2508,7 +2508,7 @@ static int __devinit sio_ite_8872_probe 
 static int __devinitdata parport_init_mode = 0;
 
 /* Data for two known VIA chips */
-static const struct parport_pc_via_data via_686a_data __devinitdata = {
+static struct parport_pc_via_data via_686a_data __devinitdata = {
 	0x51,
 	0x50,
 	0x85,
@@ -2517,7 +2517,7 @@ static const struct parport_pc_via_data 
 	0xF0,
 	0xE6
 };
-static const struct parport_pc_via_data via_8231_data __devinitdata = {
+static struct parport_pc_via_data via_8231_data __devinitdata = {
 	0x45,
 	0x44,
 	0x50,
@@ -2698,7 +2698,7 @@ enum parport_pc_sio_types {
 };
 
 /* each element directly indexed from enum list, above */
-static const struct parport_pc_superio {
+static struct parport_pc_superio {
 	int (*probe) (struct pci_dev *pdev, int autoirq, int autodma,
 		      const struct parport_pc_via_data *via);
 	const struct parport_pc_via_data *via;
@@ -2762,7 +2762,7 @@ enum parport_pc_pci_cards {
 
 /* each element directly indexed from enum list, above 
  * (but offset by last_sio) */
-static const struct parport_pc_pci {
+static struct parport_pc_pci {
 	int numports;
 	struct { /* BAR (base address registers) numbers in the config
                     space header */
_
